curl --request POST \
--url https://api-sandbox.circle.com/v1/externalEntities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessName": "Circle Internet Financial Inc.",
"businessUniqueIdentifier": "1234567890",
"identifierIssuingCountryCode": "US",
"address": {
"country": "US",
"state": "MA",
"city": "Boston",
"postcode": "01234",
"streetName": "Main Street",
"buildingNumber": "100"
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/externalEntities"
payload = {
"businessName": "Circle Internet Financial Inc.",
"businessUniqueIdentifier": "1234567890",
"identifierIssuingCountryCode": "US",
"address": {
"country": "US",
"state": "MA",
"city": "Boston",
"postcode": "01234",
"streetName": "Main Street",
"buildingNumber": "100"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessName: 'Circle Internet Financial Inc.',
businessUniqueIdentifier: '1234567890',
identifierIssuingCountryCode: 'US',
address: {
country: 'US',
state: 'MA',
city: 'Boston',
postcode: '01234',
streetName: 'Main Street',
buildingNumber: '100'
}
})
};
fetch('https://api-sandbox.circle.com/v1/externalEntities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"walletId": "212000",
"businessName": "Circle Internet Financial Inc.",
"businessUniqueIdentifier": "1234567890",
"identifierIssuingCountryCode": "US",
"complianceState": "PENDING"
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 409,
"message": "Conflicts with another request."
}Create an external entity
Creates an external entity for the institutional account.
To access the Core API for Institutions, contact your Circle account representative.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The name of the business.
"Circle Internet Financial Inc."
The unique identifier of the business. For example, a company number or tax ID.
"1234567890"
The country code of the issuing authority. Formatted as a two-letter country code specified in ISO 3166-1 alpha-2.
^[A-Z]{2}$"US"
Show child attributes
Show child attributes
Response
Successfully created an external entity.
An external entity
Unique system-generated identifier for the wallet of the institutional entity.
"212000"
The name of the business.
"Circle Internet Financial Inc."
The unique identifier of the business. For example, a company number or tax ID.
"1234567890"
The country code of the issuing authority. Formatted as a two-letter country code specified in ISO 3166-1 alpha-2.
^[A-Z]{2}$"US"
The compliance status of the external entity.
PENDING, ACCEPTED, REJECTED Was this page helpful?